package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxMsgValidationcode;

public interface WxMsgValidationcodeService {
	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @return
     */
	PageInfo<WxMsgValidationcode> listAsPage(WxMsgValidationcode record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMsgValidationcode getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxMsgValidationcode record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);



    ResultData sendvalidationcode(WxMsgValidationcode record);

    ResultData hasvalidationcode(WxMsgValidationcode record);


    void addMsgCallback(WxMsgValidationcode wxmsg, String batchNo, String id);
	
}
